Subject: bug#21736: In response to the replay mail sent to me.

From: Gonçalo Paiva <[email-masked]>
Date: Thu, 22 Oct 2015 17:11:47 +0100

Hi,

Thanks for the quick reply I suggest maybe a more informative --help on the
*users*.
I testes all options you sent and I may have been unclear:

I meant something like (if not already available):
$command -option
$gpaiva groups: user, root admin, etc

It appears that the option is available via multiple commands in both
*users* and *who* if the command output is combined with other commands
namely *sort*.
But not as a -option that was my suggestion. Or at least something in the
--help command.

Alternatively

"How about we just reference the appropriate utils
in the man page, as done in the attached?"

My problem was that without internet to search for the command I could not
know based on help how to do this out of the box.

Best regards.

On 22/10/15 15:03, Gonçalo Paiva wrote:
> Salutations,
>
> This is not as much a bug report but more a feature suggestion.
> In the *users* command I propose that the users has an option (since I
don't see one in --help)
> that allows to see users without repetition and all *users*.
> For example I have two users A and B.
> When in A session since (I assume) A is in several groups it appears:
> A A A A
> I suggest a command line option to either show the group

$ who

> or the output A.

$ who -u | cut -f1 -d ' ' | sort -u
$ users | tr ' ' '\n' | sort -u

> Also A and B should be an idea for some root option maybe!?

$ getent passwd | cut -f1 -d:

I think the required functionality exists elsewhere.
How about we just reference the appropriate utils
in the man page, as done in the attached?

cheers,
Pádraig.